Subject: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Po Lu <[email-masked]>
Date: Thu, 26 Oct 2023 07:43:01 +0800

Mattias Engdegård <[email-masked]> writes:

> In other words just like now (but better, since hardly any new code
> will use dynamic binding).

That's a theory, one inconsistent with the results of all other measures
to promote lexical binding that we have taken so far.

> It depends on how much sympathy you have with people having existing
> code written in the old dialect. It could be argued that they should
> have converted their code long ago, but that assumes that they know
> that they actually have that problem.

The mere existence of dynamically bound code is not a problem, and
nothing enjoins users to convert their code.  This is the sort of
fallacious thinking that leads people to propose draconian measures such
as the subject of this bug report.